import { 
  select,json,geoMercator,geoPath,zoom,event,scaleOrdinal,schemeCategory10
  } from 'd3'; 
import { feature } from 'topojson';
// height and width  of svg
const svg = select('svg');
const width = window.innerWidth;
const height = window.innerHeight;
// Heading of the map
const HeaderText = "India Map";
svg.append('text').attr('y',50).attr('x',150).text(HeaderText).attr('class',"Header");
// Name of projection used
const projection = geoMercator().translate([-600,585]).scale([700])
const pathGen = geoPath(projection)
const colorScale = scaleOrdinal(schemeCategory10); //schemecategory10 method to fill colors
// linking to data from gistgithub
json('https://gist.githubusercontent.com/kalyanikotha/b2cbd8a679cad19cb9ca0820e7081959/raw/0f6261db4a7de3c2889cfa83d4a185357282928e/gistfile1.txt')
  .then(data => {
// Parsing of data 
const india = feature(data,data.objects.india)
 // Constructing a map with features data
svg.selectAll('path').data(india.features)
    	.enter().append('path')
    			.attr('class', 'country')// Created class of country
  				.attr('fill', (d) => colorScale(d.interpolateRainbow))
  				 .attr('d', (d) => pathGen(d))
  					.append('title')
  					.text((d) => d.interpolateRainbow);
});
 

  
 


 
